updateOrganization
Requires permission settings:organization:update.
Changes an organization's details. You can change your own organization; needs settings:organization:update. The change is audited.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
mutation UpdateOrganization($id: String!, $input: UpdateOrganizationInput!) {
updateOrganization(id: $id, input: $input) {
id
code
postalCode
registrationNumber
name
status
stats {
activeWarehhouses
lastOrderDate
totalOrders
totalProducts
totalRevenue
totalUsers
}
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "mutation UpdateOrganization($id: String!, $input: UpdateOrganizationInput!) {\n updateOrganization(id: $id, input: $input) {\n id\n code\n postalCode\n registrationNumber\n name\n status\n stats {\n activeWarehhouses\n lastOrderDate\n totalOrders\n totalProducts\n totalRevenue\n totalUsers\n }\n }\n}",
"variables": {
"id": "string",
"input": {}
}
}
EOF
Variables:
{
"id": "string",
"input": {}
}
Response:
{
"data": {
"updateOrganization": {
"id": "string",
"code": "string",
"postalCode": "string",
"registrationNumber": "string",
"name": "string",
"status": "string",
"stats": {
"activeWarehhouses": 0,
"lastOrderDate": "2025-01-15T00:00:00Z",
"totalOrders": 0,
"totalProducts": 0,
"totalRevenue": 0,
"totalUsers": 0
}
}
}
}
updateOrganization(
id: String!
input: UpdateOrganizationInput!
): Organization!
Arguments
updateOrganization.id ● String! non-null scalar
The ID of the organization.
updateOrganization.input ● UpdateOrganizationInput! non-null input
The organization details to change.
Type
Organization object
A seller organization: one tenant of the platform.